get
/v1/iam/groups/{group_id}/service-accountsList group service accounts
List all service accounts in a group
Path Parameters
group_id
string<uuid>requiredpath
Group ID
Example: "550e8400-e29b-41d4-a716-446655440000"
Query Parameters
limit
integeroptionalquery
Maximum number of items to return
Default: 20
Example: 20
marker
string<uuid>optionalquery
ID of the last item from the previous page (for pagination)
Example: "550e8400-e29b-41d4-a716-446655440000"
Responses
200
List of service accounts in the group
Content-Type: application/json
service_accounts
arrayoptionalmeta
objectoptionallinks
objectoptional401
Authentication required or token invalid
Content-Type: application/json
error
objectrequired403
Insufficient permissions
Content-Type: application/json
error
objectrequired404
Resource not found
Content-Type: application/json
error
objectrequired500
Internal server error
Content-Type: application/json
error
objectrequiredcurl -X GET "https://api.spo1.mycloud.com/v1/iam/groups/550e8400-e29b-41d4-a716-446655440000/service-accounts" \-H "Authorization: Bearer YOUR_ACCESS_TOKEN" \-H "Content-Type: application/json"
Response
List of service accounts in the group
{"service_accounts": [{"id": "550e8400-e29b-41d4-a716-446655440000","crn": "crn::iam:service-account:550e8400-e29b-41d4-a716-446655440000","name": "string","display_name": "string","added_at": "2024-01-15T10:30:00Z"}],"meta": {"total": 150,"limit": 20,"marker": "550e8400-e29b-41d4-a716-446655440000","has_more": true},"links": {"self": "https://api.spo1.mycloud.com/v1/instances?limit=20","next": "https://api.spo1.mycloud.com/v1/instances?limit=20&marker=550e8400-e29b-41d4-a716-446655440000","previous": "https://api.spo1.mycloud.com/v1/instances?limit=20&marker=440e8400-e29b-41d4-a716-446655440000"}}